Loading...
Searching...
No Matches
XrdSsiShMat.hh File Reference
`#include <cstdlib>`
`#include <cstring>`
Include dependency graph for XrdSsiShMat.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdSsiShMat::CRZParms
struct | XrdSsiShMat::NewParms
class | XrdSsiShMat

## Class Documentation

## XrdSsiShMat::NewParms

struct XrdSsiShMat::NewParms

Instantiate a shared memory object.

Parameters

  parms

  The parameters to use when creating the table. Fields are: impl Pointer to the name of the implementation that is desired. The default implementation (XrdSsiShMam) is used if nil. All processes must specify the same implementation that was used to create the table via the Create() method. If specified it must not exceed 63 characters. path Pointer to the file that is backing the table. The path is used to locate the table in memory. typeID A text name of the data type in the table. All processes must specify the same typeID that the table was created with using Create(). Specify text less than 64 characters. typesz The number of bytes occupied by the data type in the table. hashID A 4-characters text name of the hash used in the table represented as an int. All processes must specify the same hashID that the table was created with using Create().

Returns
  !0 - Pointer to an instance of an XrdSsiShMat object.
  false - The object could not instantiate because of an error; errno holds the error code explaining why.

Definition at line 276 of file XrdSsiShMat.hh.

Collaboration diagram for XrdSsiShMat::NewParms:

Class Members
int | hashID | The hash being used (0 means the default).
const char * | impl | Implementation name.
const char * | path | The path to the backing file for the table.
const char * | typeID | The name of the type associated with the key.
int | typeSz | Size of the type in bytes.